<?php
/**
*
* This file is part of the phpBB Forum Software package.
*
* @copyright (c) phpBB Limited <https://www.phpbb.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
* For full copyright and license information, please see
* the docs/CREDITS.txt file.
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'ADD_ATTACHMENT'			=> 'Добавить вложения',
	'ADD_ATTACHMENT_EXPLAIN'	=> 'Если вы не хотите добавлять вложения, оставьте поля пустыми.',
	'ADD_FILE'					=> 'Добавить файл',
	'ADD_POLL'					=> 'Добавить опрос',
	'ADD_POLL_EXPLAIN'			=> 'Чтобы добавить опрос к сообщению, вы должны ввести вопрос.',
	'ALREADY_DELETED'			=> 'Это сообщение уже удалено.',
	'ATTACH_DISK_FULL'			=> 'Недостаточно свободного места на диске для загрузки данного вложения.',
	'ATTACH_QUOTA_REACHED'		=> 'Достигнут максимальный общий размер ваших вложений.',
	'ATTACH_SIG'				=> 'Присоединить подпись',

	'BBCODE_A_HELP'				=> 'Вставить вложение в текст сообщения: [attachment=]filename.ext[/attachment]',
	'BBCODE_B_HELP'				=> 'Жирный текст: [b]текст[/b]',
	'BBCODE_C_HELP'				=> 'Код: [code]код[/code]',
	'BBCODE_D_HELP'				=> 'Флэш: [flash=width,height]http://url[/flash]',
	'BBCODE_F_HELP'				=> 'Размер шрифта: [size=85]маленький шрифт[/size]',
	'BBCODE_IS_OFF'				=> '%sBBCode%s <em>ОТКЛЮЧЕН</em>',
	'BBCODE_IS_ON'				=> '%sBBCode%s <em>ВКЛЮЧЁН</em>',
	'BBCODE_I_HELP'				=> 'Наклонный текст: [i]текст[/i]',
	'BBCODE_L_HELP'				=> 'Список: [list]список[/list] или [list=1]список[/list]',
	'BBCODE_L_HELP_CTRL'				=> 'держите ctrl для ввода стартового значения нумерованного списка',
	'BBCODE_O_HELP'				=> 'Упорядоченный список: [list=1][*]Пункт первый[/list] или [list=a][*]Пункт a[/list]',
	'BBCODE_LISTITEM_HELP'		=> 'Элемент списка: [*]',
	'BBCODE_LISTITEM_HELP_EX'		=> 'Элемент списка: [*] (выделите текст для автоматической вставки в каждую строку)',
	'BBCODE_P_HELP'				=> 'Вставить изображение: [img]http://image_url[/img]',
	'BBCODE_Q_HELP'				=> 'Цитата: [quote]текст[/quote] или [quote=&quot;имя&quot;]текст[/quote]',
	'BBCODE_Q_HELP_CTRL'				=> 'держите ctrl для ввода имени цитируемого',
	'BBCODE_S_HELP'				=> 'Цвет шрифта: [color=red]текст[/color] или [color=#FF0000]текст[/color]',
	'BBCODE_SPOILER_HELP'		=> 'Скрытый текст: [spoiler]текст[/spoiler] или [spoiler=&quot;заголовок&quot;]текст[/spoiler]',
	'BBCODE_SPOILER_HELP_CTRL'		=> 'держите ctrl для ввода заголовка',
	'BBCODE_STRIKE_HELP'		=> 'Зачёркнутый текст: [s]текст[/s]',
	'BBCODE_TT_HELP'			=> 'Моноширный текст: [tt]текст[/tt]',
	'BBCODE_U_HELP'				=> 'Подчёркнутый текст: [u]текст[/u]',
	'BBCODE_W_HELP'				=> 'Вставить ссылку: [url]http://url[/url] или [url=http://url]Текст ссылки[/url]',
	'BBCODE_Y_HELP'				=> 'Список: добавить элемент списка',
	'BUMP_ERROR'				=> 'Вы не можете поднимать тему сразу после последнего сообщения. Попробуйте чуть позже.',

	'CANNOT_DELETE_REPLIED'		=> 'Извините, но вы можете удалять только сообщения, не имеющие ответов.',
	'CANNOT_EDIT_POST_LOCKED'	=> 'Это сообщение было заблокировано, вы не можете его редактировать.',
	'CANNOT_EDIT_TIME'			=> 'Вы больше не можете редактировать или удалять это сообщение.',
	'CANNOT_POST_ANNOUNCE'		=> 'Вы не можете создавать объявления.',
	'CANNOT_POST_STICKY'		=> 'Вы не можете создавать прикреплённые темы.',
	'CHANGE_TOPIC_TO'			=> 'Изменить тему на',
	'CHARS_POST_CONTAINS'		=> array(
		1	=> 'Сообщение содержит %1$d символ.',
		2	=> 'Сообщение содержит %1$d символа.',
		3	=> 'Сообщение содержит %1$d символов.',
	),
	'CHARS_SIG_CONTAINS'		=> array(
		1	=> 'Подпись содержит %1$d символ.',
		2	=> 'Подпись содержит %1$d символа.',
		3	=> 'Подпись содержит %1$d символов.',
	),
	'CLOSE_TAGS'				=> 'Закрыть тэги',
	'CURRENT_TOPIC'				=> 'Текущая тема',

	'DELETE_FILE'				=> 'Удалить файл',
	'DELETE_MESSAGE'			=> 'Удалить сообщение',
	'DELETE_MESSAGE_CONFIRM'	=> 'Вы уверены, что хотите удалить это сообщение?',
	'DELETE_OWN_POSTS'			=> 'Извините, но вы можете удалять только ваши собственные сообщения.',
	'DELETE_PERMANENTLY'		=> 'Удалить безвозвратно',
	'DELETE_POST_CONFIRM'		=> 'Вы уверены, что хотите удалить это сообщение?',
	'DELETE_POST_PERMANENTLY_CONFIRM'	=> 'Вы уверены, что хотите <strong>безвозвратно</strong> удалить это сообщение?',
	'DELETE_POST_PERMANENTLY'	=> 'Удалить сообщение без возможности восстановления',
	'DELETE_POSTS_CONFIRM'		=> 'Вы уверены, что хотите удалить эти сообщения?',
	'DELETE_POSTS_PERMANENTLY_CONFIRM'	=> 'Вы уверены, что хотите <strong>безвозвратно</strong> удалить эти сообщения?',
	'DELETE_REASON'				=> 'Причина удаления',
	'DELETE_REASON_EXPLAIN'		=> 'Указанная причина удаления будет видна только модераторам.',
	'DELETE_POST_WARN'			=> 'Удалить это сообщение',
	'DELETE_TOPIC_CONFIRM'		=> 'Вы уверены, что хотите удалить эту тему?',
	'DELETE_TOPIC_PERMANENTLY'	=> 'Удалить тему без возможности восстановления',
	'DELETE_TOPIC_PERMANENTLY_CONFIRM'	=> 'Вы уверены, что хотите <strong>безвозвратно</strong> удалить эту тему?',
	'DELETE_TOPICS_CONFIRM'		=> 'Вы уверены, что хотите удалить эти темы?',
	'DELETE_TOPICS_PERMANENTLY_CONFIRM'	=> 'Вы уверены, что хотите <strong>безвозвратно</strong> удалить эти темы?',
	'DISABLE_BBCODE'			=> 'Отключить BBCode',
	'DISABLE_MAGIC_URL'			=> 'Не обрабатывать URL',
	'DISABLE_SMILIES'			=> 'Отключить смайлики',
	'DISALLOWED_CONTENT'		=> 'Закачка была отклонена, так как вложение было определено как возможная атака.',
	'DISALLOWED_EXTENSION'		=> 'Расширение %s запрещено администратором.',
	'DRAFT_LOADED'				=> 'Черновик загружен, вы можете закончить редактирование сообщения сейчас.<br />После отправки этого сообщения черновик будет удалён.',
	'DRAFT_LOADED_PM'			=> 'Черновик загружен, вы можете закончить редактирование личного сообщения сейчас.<br />После отправки этого личного сообщения черновик будет удалён.',
	'DRAFT_SAVED'				=> 'Черновик успешно сохранён.',
	'DRAFT_TITLE'				=> 'Название черновика',

	'EDIT_REASON'				=> 'Причина правки',
	'ENTER_LINK_URL'			=> 'Введите URL ссылки',
	'ENTER_IMAGE_URL'			=> 'Введите URL изображения',
	'ENTER_QUOTE_NAME'			=> 'Введите имя цитируемого',
	'ENTER_LIST_START'			=> 'Введите начальное значение',
	'ENTER_TITLE'				=> 'Введите заголовок',
	'EMPTY_FILEUPLOAD'			=> 'Загруженный файл пустой.',
	'EMPTY_MESSAGE'				=> 'Вы должны ввести текст сообщения',
	'EMPTY_REMOTE_DATA'			=> 'Не удалось закачать файл, пожалуйста, попробуйте закачать его вручную.',

	'FLASH_IS_OFF'				=> '[flash] <em>ОТКЛЮЧЕН</em>',
	'FLASH_IS_ON'				=> '[flash] <em>ВКЛЮЧЁН</em>',
	'FLOOD_ERROR'				=> 'Вы не можете отправить следующее сообщение сразу после предыдущего. Пожалуйста, попробуйте чуть позже.',
	'FONT_COLOR'				=> 'Цвет',
	'FONT_COLOR_HIDE'			=> 'Скрыть цвета',
	'FONT_HUGE'					=> 'Огромный',
	'FONT_LARGE'				=> 'Большой',
	'FONT_NORMAL'				=> 'Нормальный',
	'FONT_SIZE'					=> 'Размер шрифта',
	'FONT_SMALL'				=> 'Маленький',
	'FONT_TINY'					=> 'Очень маленький',

	'GENERAL_UPLOAD_ERROR'		=> 'Не удалось закачать вложение %s.',

	'IMAGES_ARE_OFF'			=> '[img] <em>ОТКЛЮЧЕН</em>',
	'IMAGES_ARE_ON'				=> '[img] <em>ВКЛЮЧЁН</em>',
	'INVALID_FILENAME'			=> '%s является недопустимым именем файла.',

	'LOAD'						=> 'Загрузить',
	'LOAD_DRAFT'				=> 'Загрузить черновик',
	'LOAD_DRAFT_EXPLAIN'		=> 'Вы можете выбрать черновик для продолжения редактирования сообщения. Ваше текущее сообщение будет удалено, содержание сообщения будет утеряно. <br />Просматривать, редактировать и удалять черновики вы можете в вашей личной панели управления.',
	'LOGIN_EXPLAIN_BUMP'		=> 'Вам необходимо авторизоваться для поднятия темы в этом разделе.',
	'LOGIN_EXPLAIN_DELETE'		=> 'Вам необходимо авторизоваться для удаления сообщений в этом разделе.',
	'LOGIN_EXPLAIN_POST'		=> 'Вам необходимо авторизоваться для создания сообщений в этом разделе.',
	'LOGIN_EXPLAIN_QUOTE'		=> 'Вам необходимо авторизоваться для цитирования сообщений в этом разделе.',
	'LOGIN_EXPLAIN_REPLY'		=> 'Вам необходимо авторизоваться, чтобы отвечать в темах в этом разделе.',

	'MIN_FONT_SIZE_EXCEEDED'	=> 'Вы можете использовать шрифты размером не менее %1$d.',
	'MAX_FONT_SIZE_EXCEEDED'	=> 'Вы можете использовать шрифты размером не более %d.',
	'MAX_FLASH_HEIGHT_EXCEEDED'	=> 'Ваши флэш-файлы должны быть не более %d пикс. в высоту.',
	'MAX_FLASH_WIDTH_EXCEEDED'	=> 'Ваши флэш-файлы должны быть не более %d пикс. в ширину.',
	'MAX_IMG_HEIGHT_EXCEEDED'	=> 'Ваши изображения должны быть не более %1$d пикс. в высоту.',
	'MAX_IMG_WIDTH_EXCEEDED'	=> 'Ваши изображения должны быть не более %d пикс. в ширину.',
	'MESSAGE_BODY_EXPLAIN'		=> array(
		0	=> '', // zero means no limit, so we don't view a message here.
		1	=> 'Введите текст вашего сообщения. Длина сообщения не более <strong>%d</strong> символа.',
		2	=> 'Введите текст вашего сообщения. Длина сообщения не более <strong>%d</strong> символов.',
		3	=> 'Введите текст вашего сообщения. Длина сообщения не более <strong>%d</strong> символов.',
	),
	'MESSAGE_DELETED'			=> 'Сообщение было успешно удалено.',
	'MORE_SMILIES'				=> 'Ещё смайлики…',

	'NOTIFY_REPLY'				=> 'Подписаться на тему',
	'NOT_UPLOADED'				=> 'Не удалось загрузить файл.',
	'NO_DELETE_POLL_OPTIONS'	=> 'Вы не можете удалять существующие варианты ответов без обнуления текущих результатов.',
	'NO_PM_ICON'				=> 'Нет значка ЛС',
	'NO_POLL_TITLE'				=> 'Вы должны ввести название опроса.',
	'NO_POST'					=> 'Сообщение не существует.',
	'NO_POST_MODE'				=> 'Не указан режим сообщения.',

	'PARTIAL_UPLOAD'			=> 'Файл загружен только частично.',
	'PHP_SIZE_NA'				=> 'Слишком большой размер вложения.<br />Невозможно определить максимальный размер закачиваемых файлов, заданный в php.ini.',
	'PHP_SIZE_OVERRUN'			=> 'Слишком большой размер вложения.<br />Максимальный размер закачиваемого файла: %1$d %2$s.<br />Имейте в виду, что эта величина определена в php.ini и средствами форума невозможно изменить это значение в большую сторону.',
	'PLACE_INLINE'				=> 'Вставить в текст сообщения',
	'POLL_DELETE'				=> 'Удалить опрос',
	'POLL_RESET'				=> 'Обнулить результаты опроса',
	'POLL_FOR'					=> 'Опрос должен идти',
	'POLL_FOR_EXPLAIN'			=> 'Введите 0, чтобы опрос не заканчивался.',
	'POLL_MAX_OPTIONS'			=> 'Количество ответов',
	'POLL_MAX_OPTIONS_EXPLAIN'	=> 'Количество ответов, которые сможет выбрать пользователь.',
	'POLL_OPTIONS'				=> 'Варианты ответа',
	'POLL_OPTIONS_EXPLAIN'		=> 'Разместите каждый вариант ответа с новой строки. Максимальное количество вариантов: <strong>%d</strong>.',
	'POLL_OPTIONS_EDIT_EXPLAIN'	=> 'Разместите каждый вариант ответа с новой строки. Максимальное количество вариантов: <strong>%d</strong>. При удалении вариантов ответа вы должны обнулить результаты опроса.',
	'POLL_QUESTION'				=> 'Вопрос',
	'POLL_TITLE_TOO_LONG'		=> 'Название опроса должно содержать меньше 100 знаков.',
	'POLL_TITLE_COMP_TOO_LONG'	=> 'Название опроса слишком длинное, попробуйте уменьшить количество BBCode или смайликов.',
	'POLL_VOTE_CHANGE'			=> 'Изменение ответа',
	'POLL_VOTE_CHANGE_EXPLAIN'	=> 'Пользователи смогут изменять свои ответы в опросе.',
	'POLL_SHOW_VOTERS'			=> 'Открытое голосование',
	'POLL_SHOW_VOTERS_EXPLAIN'	=> 'Будет отображаться кто за какой вариант ответа голосовал.',
	'POSTED_ATTACHMENTS'		=> 'Опубликованные вложения',
	'POST_APPROVAL_NOTIFY'		=> 'Вы будете уведомлены об одобрении вашего сообщения.',
	'POST_CONFIRMATION'			=> 'Подтверждение отправки',
	'POST_CONFIRM_EXPLAIN'		=> 'Для предотвращения автоматического размещения сообщений на этом форуме необходимо ввести код подтверждения. Код отображён на картинке ниже. Если из-за плохого зрения или по другим причинам вы не можете прочесть код на картинке, свяжитесь с %sадминистратором%s',
	'POST_DELETED'				=> 'Сообщение успешно удалено.',
	'POST_EDITED'				=> 'Сообщение успешно отредактировано.',
	'POST_EDITED_MOD'			=> 'Сообщение успешно отредактировано, но должно быть одобрено модератором до того, как будет отображено на форуме.',
	'POST_GLOBAL'				=> 'Глобальное объявление',
	'POST_ICON'					=> 'Значок',
	'POST_NORMAL'				=> 'Обычная',
	'POST_REVIEW'				=> 'Предварительный просмотр',
	'POST_REVIEW_EDIT'			=> 'Предварительный просмотр',
	'POST_REVIEW_EDIT_EXPLAIN'	=> 'Это сообщение было изменено другим пользователем в то время, когда вы редактировали его. Вы можете просмотреть текущую версию сообщения и внести желаемые изменения.',
	'POST_REVIEW_EXPLAIN'		=> 'Было добавлено по крайней мере одно сообщение в этой теме. Возможно, вы захотите изменить содержание своего сообщения.',
	'POST_STORED'				=> 'Сообщение успешно отправлено.',
	'POST_STORED_MOD'			=> 'Сообщение успешно отправлено, но должно быть одобрено модератором до того, как будет отображено на форуме.',
	'POST_TOPIC_AS'				=> 'Статус темы',
	'PROGRESS_BAR'				=> 'Индикатор загрузки',

	'QUOTE_DEPTH_EXCEEDED'		=> 'Максимально допустимое количество вложенных друг в друга цитат: %d.',
	'SPOILER_DEPTH_EXCEEDED'		=> 'Максимально допустимое количество вложенных друг в друга спойлеров: %d.',
	'QUOTE_NO_NESTING'			=> 'Вложенные цитаты запрещены.',
	'SPOILER_NO_NESTING'			=> 'Вложенные спойлеры запрещены.',

	'REMOTE_UPLOAD_TIMEOUT'		=> 'Указанный файл не может быть загружен из-за превышения времени ожидания запроса.',
	'SAVE'						=> 'Сохранить',
	'SAVE_DATE'					=> 'Последнее изменение',
	'SAVE_DRAFT'				=> 'Сохранить черновик',
	'SAVE_DRAFT_CONFIRM'		=> 'Пожалуйста, обратите внимание, что сохраняются только заголовок и текст сообщения, любые другие элементы будут удалены.<br />Вы хотите сохранить черновик сейчас?',
	'SMILIES'					=> 'Смайлики',
	'SMILIES_ARE_OFF'			=> 'Смайлики <em>ОТКЛЮЧЕНЫ</em>',
	'SMILIES_ARE_ON'			=> 'Смайлики <em>ВКЛЮЧЕНЫ</em>',
	'STICKY_ANNOUNCE_TIME_LIMIT'=> 'Срок для объявления/прикреплённой темы',
	'STICK_TOPIC_FOR'			=> 'Срок',
	'STICK_TOPIC_FOR_EXPLAIN'	=> '<i>(относительно даты публикации, введите 0 для снятия ограничений)</i>',
	'STYLES_TIP'				=> 'Совет: можно быстро применить стили к выделенному тексту.',

	'TOO_FEW_CHARS'				=> 'Ваше сообщение слишком короткое.',
	'TOO_FEW_CHARS_LIMIT'		=> array(
		1	=> 'Необходимо ввести не менее %1$d символа.',
		2	=> 'Необходимо ввести не менее %1$d символов.',
		3	=> 'Необходимо ввести не менее %1$d символов.',
	),
	'TOO_FEW_POLL_OPTIONS'		=> 'Необходимо ввести по крайней мере два варианта ответа в опросе.',
	'TOO_MANY_ATTACHMENTS'		=> 'Невозможно добавить ещё одно вложение, максимальное количество: %d.',
	'TOO_MANY_CHARS'			=> 'Ваше сообщение слишком длинное.',
	'TOO_MANY_CHARS_LIMIT'		=> 'Максимальное разрешённое количество символов: %1$d.',
	'TOO_MANY_IMGS'				=> 'Ваше сообщение содержит слишком много изображений. Максимальное разрешенное количество: %d.',
	'TOO_MANY_POLL_OPTIONS'		=> 'Вы выбрали слишком много вариантов ответа в опросе.',
	'TOO_MANY_SMILIES'			=> 'Ваше сообщение содержит слишком много смайликов. Максимальное разрешённое количество: %d.',
	'TOO_MANY_URLS'				=> 'Ваше сообщение содержит слишком много ссылок URL. Максимальное разрешённое количество: %d.',
	'TOO_MANY_USER_OPTIONS'		=> 'Слишком много вариантов ответа.',
	'TOPIC_BUMPED'				=> 'Тема успешно поднята.',
	'TOPIC_PRIORITY'			=> 'Приоритет темы',
	'TOPIC_PRIORITY_EXPLAIN'	=> '<i>(темы с большим приоритетом выводятся выше других)</i>',

	'UNAUTHORISED_BBCODE'		=> 'Вы не можете использовать некоторые BBCode: %s.',
	'UNGLOBALISE_EXPLAIN'		=> 'Для того, чтобы изменить статус темы с важной на обычную, вы должны выбрать раздел, в котором она будет опубликована.',
	'UNSUPPORTED_CHARACTERS_MESSAGE'	=> 'Сообщение содержит следующие неподдерживаемые символы:<br />%s',
	'UNSUPPORTED_CHARACTERS_SUBJECT'	=> 'Тема сообщения содержит следующие неподдерживаемые символы:<br />%s',
	'UPDATE_COMMENT'			=> 'Обновить комментарий',
	'URL_INVALID'				=> 'Указанный вами адрес файла недопустим.',
	'URL_NOT_FOUND'				=> 'Указанный файл не найден.',
	'URL_IS_OFF'				=> '[url] <em>ОТКЛЮЧЕН</em>',
	'URL_IS_ON'					=> '[url] <em>ВКЛЮЧЁН</em>',
	'USER_CANNOT_BUMP'			=> 'Вы не можете поднимать темы в этом разделе.',
	'USER_CANNOT_DELETE'		=> 'Вы не можете удалять сообщения в этом разделе.',
	'USER_CANNOT_EDIT'			=> 'Вы не можете редактировать сообщения в этом разделе.',
	'USER_CANNOT_REPLY'			=> 'Вы не можете отвечать на сообщения в этом разделе.',
	'USER_CANNOT_FORUM_POST'	=> 'Вы не можете размещать сообщения в этом разделе. Тип форума не поддерживает этого.',

	'VIEW_MESSAGE'				=> '%sПросмотреть ваше сообщение%s',
	'VIEW_PRIVATE_MESSAGE'		=> '%sПросмотреть отправленные вами личные сообщения%s',

	'WRONG_FILESIZE'			=> 'Слишком большой размер вложения. Максимальный разрешённый размер: %1$d %2$s.',
	'WRONG_SIZE'				=> 'Размеры изображения должны быть не менее %1$s×%2$s и не более %3$s×%4$s. Размер отправленного изображения — %5$s×%6$s.',

	// Additional strings
	'FIRST_POST_SHOW'			=> 'На всех страницах',
	'FIRST_POST_SHOW_EXPLAIN'	=> 'Отображать сообщение на всех страницах темы',

	// Smiles
	'SMILE_HI'					=> 'Привет!',
	'SMILE_CLASSIC'				=> 'Улыбается',
	'SMILE_WINK'				=> 'Подмигивает',
	'SMILE_TWISTED'				=> 'Дьявольская улыбка',
	'SMILE_SAD'					=> 'Грустный',
	'SMILE_EVIL'				=> 'Дьявольски злой',
	'SMILE_SMOKE'				=> 'Перекур',
	'SMILE_EH'					=> 'Чего?',
	'SMILE_EEK'					=> 'Испуган',
	'SMILE_FIE'					=> 'Фу...',
	'SMILE_SILENCED'			=> 'Молчу',
	'SMILE_RAZZ'				=> 'Показать язык',
	'SMILE_OOPS'				=> 'Смущён',
	'SMILE_HELP'				=> 'Помогите!',
	'SMILE_SPY'					=> 'Подозрительно',
	'SMILE_INSANE'				=> 'Не понимаю',
	'SMILE_BIGGRIN'				=> 'Огромная улыбка',
	'SMILE_TOOTHLESS'			=> 'Побитый',
	'SMILE_ILL'					=> 'Заболел',
	'SMILE_NERVIOUS'			=> 'Нервный',
	'SMILE_WEIRDFACE'			=> '0_o',
	'SMILE_PRAY'				=> 'Молюсь',
	'SMILE_CLAP'				=> 'Апплодисменты',
	'SMILE_THINK'				=> 'Думаю',
	'SMILE_BOXING'				=> 'Боксирую',
	'SMILE_CYCLOP'				=> 'Циклоп',
	'SMILE_RAMBO'				=> 'Рэмбо',
	'SMILE_ZOMBIE'				=> 'Зомби',
	'SMILE_CRY'					=> 'Плачет',
	'SMILE_BEER'				=> 'Пиво',
	'SMILE_IDEA'				=> 'Идея!',
	'SMILE_NO'					=> 'Нет',
	'SMILE_YES'					=> 'Да',
	'SMILE_LOL'					=> 'Смеётся',
	'SMILE_CRANKY'				=> 'Ты что, того?',
	'SMILE_MAD'					=> 'Злой',
	'SMILE_DANCE'				=> 'Танцую',
	'SMILE_DRUNK'				=> 'Выпивший',
	'SMILE_ANGEL'				=> 'Ангел',
	'SMILE_COOL'				=> 'Крутой',
	'SMILE_KETTLE'				=> 'Чайник',
	'SMILE_PROTEST'				=> 'Требую!',
	'SMILE_ARROW'				=> 'Стрелка',
	'SMILE_CONFUSED'			=> 'Озадачен',
	'SMILE_EXCLAMATION'			=> 'Восклицание',
	'SMILE_GEEK'				=> 'Ботан',
	'SMILE_MR_GREEN'			=> 'Зелёный',
	'SMILE_NEUTRAL'				=> 'Нейтральный',
	'SMILE_QUESTION'			=> 'Вопрос',
	'SMILE_ROLLING_EYES'		=> 'Закатывает глаза',
	'SMILE_SHOCKED'				=> 'В шоке',
	'SMILE_UBER_GEEK'			=> 'Мегаботан',
	'SMILE_VERY_HAPPY'			=> 'Очень доволен',

	// Posts merging
	'DO_MERGE'					=> 'Склеить с предыдущим',

	// Quick reply
	'QUICK_REPLY'				=> 'Быстрый ответ',
	'QUICK_POST'				=> 'Быстрая тема',
	'QUOTE_TEXT'				=> 'Выделите текст в сообщении',
));
